#include <stdio.h>
#include <mpi.h>

int main(int argc, char **argv)
{

    int count, i, j, a[2], myrank;
    char buff[1000];

    MPI_Init(&argc, &argv);

    MPI_Comm_rank(MPI_COMM_WORLD, &myrank);
    if (myrank == 0) {
        /* SENDER CODE */
          i = 1, j = 2;
          count = 0;
          MPI_Pack(&i, 1, MPI_INT, buff, 1000, &count, MPI_COMM_WORLD);
          MPI_Pack(&j, 1, MPI_INT, buff, 1000, &count, MPI_COMM_WORLD);
          MPI_Send(buff, count, MPI_PACKED, 1, 0, MPI_COMM_WORLD);
          }
          else {                     
        /* RECEIVER CODE */
        /* Normally you would use unpack to unpack the data, but it's OK
           here because we are sending the same data type. */
        MPI_Recv(a, 2, MPI_INT, 0, 0, MPI_COMM_WORLD, MPI_STATUS_IGNORE);
        printf("i is %d, j is %f\n\n", a[0], a[1]);
    }
    MPI_Finalize();     /* Terminate MPI */
    return 0;

}

