/*************************************************************************
   Example class which can be transmitted by boost.
   It is fairly simple. Uses boost::serialization.

*************************************************************************/

class gps_position
{
    private:
        friend class boost::serialization::access;

        template<class Archive>
            void serialize(Archive & ar, const unsigned int version)
            {
                ar & degrees;
                ar & minutes;
                ar & seconds;
            }

        int degrees;
        int minutes;
        float seconds;
    public:
        gps_position(){};
        gps_position(int d, int m, float s) :
            degrees(d), minutes(m), seconds(s)
    {}
};


